import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

//import java.awt.Color;
import java.awt.Graphics;
//import java.awt.Font;

/**
 * Counter that displays a number with a text prefix.
 * 
 * @author Michael Kolling
 * @version 1.0.2
 */
public class Counter extends Mover
{
    private static final Color textColor = new Color(255, 180, 150);
    
    private int value = 0;
    private int target = 0;
    private String text;
    private int stringLength;
    private int life = 200;
    private Sea sea; 
    private boolean stick;
    private boolean data;
    public Actor follow;
    int i;
    int ig;
    
    public void addedToWorld(World world)
    {
        sea = (Sea) world;   
    }

    public Counter()
    {
        this("");
        text = "Level   : ";

        setImage(new GreenfootImage(100, 60));
        GreenfootImage image = getImage();
        image.setFont(new Font("sansserif", 44));
        image.setColor(textColor);
        updateImage();
        increaseSpeed(new Vector(90, 1));
    }

    public Counter(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 40;

        setImage(new GreenfootImage(stringLength, 60));
        GreenfootImage image = getImage();
        image.setFont(new Font("sansserif", 44));
        image.setColor(textColor);
        updateImage();
        increaseSpeed(new Vector(90, 0));
    }
    
    public Counter(String prefix, int p)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 40;
        life = p;
        setImage(new GreenfootImage(stringLength, 60));
        GreenfootImage image = getImage();
        image.setFont(new Font("sansserif", 44));
        image.setColor(textColor);
        updateImage();
        increaseSpeed(new Vector(90, 0));
    }
    
    public void act() {
        move();
        if(life <= 0 || atWorldEdge()){
            destroy();   
        }

        increaseSpeed(new Vector(90, 0.1));
        life--;

        
    }

    /**
     * Make the image
     */
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(text, 10, 40);
    }
    
    
    private void destroy()
    {
        sea.removeObject(this);   
    }
    
}
